extensions / Orders
PATCH
/api/projects/{project_id}/sales/orders/shipments/methods/{method_id}PATCH /api/projects/{project_id}/sales/orders/shipments/methods/{method_id}
A description is not available in the current release metadata.
DELETEPATCH
Code examples
Integration
PATCH /api/projects/{project_id}/sales/orders/shipments/methods/{method_id}
Environment
BASE_URLcurl --request PATCH \
--url "${BASE_URL}/api/projects/example_project_id/sales/orders/shipments/methods/example_method_id" \
--header "Content-Type: application/json" \
--data @request.jsonResponse
Response examples are not available in the current release metadata.
Authentication
Authentication requirements are not specified for this operation.
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Headers
Path Parameters
| Name | Required | Type |
|---|---|---|
project_id | Yes | Not specified |
method_id | Yes | Not specified |
Query Parameters
Request Body
Schema: UpsertShippingMethodRequest
| Field | Required | Type |
|---|---|---|
carrier_code | Yes | Not specified |
carrier_label | No | Not specified |
method_code | Yes | Not specified |
method_label | Yes | Not specified |
is_active | No | Not specified |
sort_order | No | Not specified |
meta | No | Not specified |
use_default | No | Not specified |
Response Body
Errors
Availability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified